﻿var connection = new signalR.HubConnectionBuilder()
    .withUrl("/ScheduleHub")
    .configureLogging(signalR.LogLevel.Information)
    .build();

connection.start().then(function () {
    console.log("connected");
});

connection.on("ReceiveMessage", function (message, groupName) {
    var msg = message.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
    try {
        var toastObj = document.getElementById("MyToast").ej2_instances[0];
        toastObj.title = groupName;
        toastObj.content = msg;
        toastObj.dataBind();
        toastObj.show();
    }
    catch (e) {
        console.log(e);
    }
});

function SendMessageToOtherMembers(groupName, message) {
    connection.invoke("SendMessageToOtherMembersGroup", groupName, message).then(function (connectionId) {
        console.log("Hello All of you I'm " + connectionId);
    }).catch(function (err) {
        return console.error(err.toString());
    });
    return "Bienvenue dans le gpe " + message;
};